ReferenceAutomationsRules

    Create a disabled automation draft

    Create a disabled automation draft - POST /automations/rules. DocDealer REST API reference.

    POST
    /automations/rules

    Authorization

    bearerAuth
    AuthorizationBearer <token>

    In: header

    Request Body

    application/json

    TypeScript Definitions

    Use the request body type in TypeScript.

    Response Body

    application/json

    application/json

    application/json

    application/json

    application/json

    application/json

    curl -X POST "https://example.com/automations/rules" \  -H "Content-Type: application/json" \  -d '{    "definition": {      "property1": null,      "property2": null    }  }'
    {  "createdAt": "string",  "draft": {    "property1": null,    "property2": null  },  "draftRevision": 0,  "enabled": true,  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "publishedRevision": 0,  "updatedAt": "string"}